org.springframework.web.socket.messaging

## Interface SubProtocolWebSocketHandler.Stats

Enclosing class:
  SubProtocolWebSocketHandler

    public static interface SubProtocolWebSocketHandler.Stats

Contract for access to session counters.

Since:
  5.2

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getHttpPollingSessions()`
`int` `getHttpStreamingSessions()`
`int` `getLimitExceededSessions()`
`int` `getNoMessagesReceivedSessions()`
`int` `getTotalSessions()`
`int` `getTransportErrorSessions()`
`int` `getWebSocketSessions()`

### Method Detail

#### getTotalSessions

    int getTotalSessions()

#### getWebSocketSessions

    int getWebSocketSessions()

#### getHttpStreamingSessions

    int getHttpStreamingSessions()

#### getHttpPollingSessions

    int getHttpPollingSessions()

#### getLimitExceededSessions

    int getLimitExceededSessions()

#### getNoMessagesReceivedSessions

    int getNoMessagesReceivedSessions()

#### getTransportErrorSessions

    int getTransportErrorSessions()